Bug 1523288 - [PATCH] Drop Requires: from -libs to boom
Summary: [PATCH] Drop Requires: from -libs to boom
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Marian Csontos
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1536558
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-07 16:16 UTC by Colin Walters
Modified: 2018-04-10 15:23 UTC (History)
13 users (show)

Fixed In Version: lvm2-2.02.177-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 15:22:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0853 None None None 2018-04-10 15:23:07 UTC

Description Colin Walters 2017-12-07 16:16:02 UTC
From 26f9d1d9d1aa1dc6059575f3610af5cbe5d63230 Mon Sep 17 00:00:00 2001
From: Colin Walters <walters@verbum.org>
Date: Thu, 7 Dec 2017 11:12:38 -0500
Subject: [PATCH] Drop Requires: from -libs to boom

Right now it's unconditionally pulled into e.g. RHEL Atomic Host, but we already
ship a fully transactional hybrid image/package system in rpm-ostree. Work would
have to be done on boom to work with it for full system snapshots.

Anyone who wants it can `yum install lvm2-python-boom` - or equivalently,
`rpm-ostree install lvm2-python-boom` for RHELAH.
---
 lvm2.spec | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/lvm2.spec b/lvm2.spec
index eb8db35..973f809 100644
--- a/lvm2.spec
+++ b/lvm2.spec
@@ -115,9 +115,6 @@ Requires: module-init-tools
 %if %{enable_thin} || %{enable_cache}
 Requires: device-mapper-persistent-data >= %{persistent_data_version}
 %endif
-%if %{enable_boom}
-Requires: lvm2-python-boom
-%endif
 
 %description
 LVM2 includes all of the support for handling read/write operations on
-- 
2.14.3

Comment 2 Bryn M. Reeves 2017-12-08 14:13:25 UTC
I've no objection to this: the dep was added at Alasdair's request to automate installation.

For 7.5 we'll be providing guidance for customers via the portal so a simple yum install is not a particular burden for users.

Comment 3 Colin Walters 2018-01-15 21:03:17 UTC
Ping on this patch?  lvm-python2-boom is still being pulled into our current RHELAH 7.5 test builds.  So far it seems inert due to the `test -z $(boom list --noheadings)` bit but...the whole GRUB situation is really quite complex enough without having *both* ostree and boom potentially involved here on AH (plus thinking about how traditional yum works).  Plus we constantly get dinged on our install size.

Comment 4 Bryn M. Reeves 2018-01-16 10:32:38 UTC
The bug is currently missing a few acks. I've set devel_ack now and requested blocker? - hopefully the acks can be provided soon and Marian can pick this up in a build.

Comment 7 Marian Csontos 2018-01-19 15:55:54 UTC
Bob, we need an exception too, please.

Comment 11 Corey Marthaler 2018-02-12 21:47:00 UTC
Marking verified with the latest rpms. No longer a boom requires.


### upgrading to 176-5 (boom dependency)
error: Failed dependencies:
        libdevmapper.so.1.02(DM_1_02_141)(64bit) is needed by lvm2-7:2.02.176-5.el7.x86_64
        lvm2-libs = 7:2.02.176-5.el7 is needed by lvm2-7:2.02.176-5.el7.x86_64
        lvm2-python-boom is needed by lvm2-7:2.02.176-5.el7.x86_64
        lvm2 = 7:2.02.171-8.el7 is needed by (installed) lvm2-cluster-7:2.02.171-8.el7.x86_64



### upgrading to 177-2 (no boom dependency)
error: Failed dependencies:
        libdevmapper.so.1.02(DM_1_02_141)(64bit) is needed by lvm2-7:2.02.177-2.el7.x86_64
        lvm2-libs = 7:2.02.177-2.el7 is needed by lvm2-7:2.02.177-2.el7.x86_64
        lvm2 = 7:2.02.171-8.el7 is needed by (installed) lvm2-cluster-7:2.02.171-8.el7.x86_64

Comment 14 errata-xmlrpc 2018-04-10 15:22:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0853


Note You need to log in before you can comment on or make changes to this bug.